Subject: bug#64543: [PATCH] package-report-bug: don't fail on custom groups defined by eval

From: Spencer Baugh <[email-masked]>
Date: Sat, 15 Jul 2023 09:12:48 +0000 (UTC)

On Jul 15, 2023 04:57, Eli Zaretskii <[email-masked]> wrote:

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 15 Jul 2023 07:40:01 +0000
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> Eli, would it be OK to push this to emacs-29, as this is a bug in the
> >> existing code?  Most of the changes are indentation/whitespace changes
> >> anyway.
> >
> > I don't understand the cases in which this bug happens, and so cannot
> > make the decision.
>
> Spencer gave this example:
>
>   >> Previously we just assumed that the car of an element of
>   >> custom-current-group-alist was a filename.  But actually it can be nil
>   >> if a custom group was defined by just evaling Lisp.
>   >
>   > Where is this behaviour documented?  I couldn't reproduce it with a
>   > simple experiment.
>
>   To reproduce:
>   M-: (defgroup mygroup nil "my group") RET
>
> The patch would ensure that if groups like these are defined (which
> might happen by mistake), then `package-report-bug' will remain robust
> and not fail due to a unrelated issue.

Is this case important enough to make this change so late in the
pretest?  Spencer, how did you bump into this situation in Real Life?

I evaled a buffer containing a defgroup with C-c C-e (or maybe just a region?)